Sync Grafana dashboards.
Sync Grafana dashboards for all existing connectors.
Sign in to run requests against the CDE API.
Authorization
oAuth2AuthCode AuthorizationBearer <token>
In: header
Response Body
application/json
application/json
application/json
curl -X POST "https://cde.staging.productsup.com/connectors/sync-dashboards"{
"message": "Grafana dashboards will be synced in the background.",
"data": {
"queued": 1
}
}{
"message": "You have to be authorized to access this resource."
}{
"message": "Access denied for user."
}How is this guide?
Sync Grafana dashboard for a connector. POST
Sync Grafana dashboard for a connector from the saved template. Syncs viewer permissions based on users who have access to the connector.
Add datasource/destination that this connector is migrating from legacy binary. Only for connectors with "migration" flow. PUT
When migration flow is selected for the connector, datasource/destination for existing legacy connector can be added via this call.